module.exports = {
  isJungzheng1: isJungzheng1,
  isJungzheng2: isJungzheng2,
}

function isJungzheng1(deviceId) {
  const lexin_devices = require('../../utils/lexin/devices');
  var deviceIdJunZheng1 = deviceId.split(lexin_devices.junZheng1);
  var isJunZheng1 = deviceIdJunZheng1.length == 2;
  var deviceIdJunZheng3 = deviceId.split(lexin_devices.junZheng13);
  var isJunZheng3 = deviceIdJunZheng3.length == 2;
  return isJunZheng1 && !isJunZheng3;
};

function isJungzheng2(deviceId) {
  const lexin_devices = require('../../utils/lexin/devices');
  var deviceIdJunZheng2 = deviceId.split(lexin_devices.junZheng2);
  var isJunZheng2 = deviceIdJunZheng2.length == 2;
  var deviceIdJunZheng3 = deviceId.split(lexin_devices.junZheng13);
  var isJunZheng3 = deviceIdJunZheng3.length == 2;
  return isJunZheng2 && !isJunZheng3;
};